import { IFileManager } from '../interfaces/IFileManager';
export declare const BreadcrumbsStore: import('pinia').StoreDefinition<"BreadcrumbsStore", Pick<{
    breadcumbs: globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[], IFileManager[] | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[]>;
    actionAppendBreadcumbs: (item: IFileManager) => void;
    actionSetBreadcumbs: (item: IFileManager[]) => void;
    actionPopBreadcumbs: () => void;
    actionSelectByBreadcumbs: (item: IFileManager) => void;
    actionClearBreadcumbs: () => void;
}, "breadcumbs">, Pick<{
    breadcumbs: globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[], IFileManager[] | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[]>;
    actionAppendBreadcumbs: (item: IFileManager) => void;
    actionSetBreadcumbs: (item: IFileManager[]) => void;
    actionPopBreadcumbs: () => void;
    actionSelectByBreadcumbs: (item: IFileManager) => void;
    actionClearBreadcumbs: () => void;
}, never>, Pick<{
    breadcumbs: globalThis.Ref<{
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[], IFileManager[] | {
        [x: string]: any;
        key: string;
        name: string;
        path: string;
        size: number;
        isDirectory: boolean;
        mime_type: string;
    }[]>;
    actionAppendBreadcumbs: (item: IFileManager) => void;
    actionSetBreadcumbs: (item: IFileManager[]) => void;
    actionPopBreadcumbs: () => void;
    actionSelectByBreadcumbs: (item: IFileManager) => void;
    actionClearBreadcumbs: () => void;
}, "actionAppendBreadcumbs" | "actionSetBreadcumbs" | "actionPopBreadcumbs" | "actionSelectByBreadcumbs" | "actionClearBreadcumbs">>;
